Package com.documentum.operations

# Interface IDfOperationStep

public interface IDfOperationStep
Represents a step in a multi-step operation. Steps are generally for internal use, however, there may be times when it is desirable to break down operation execution into a step by step execution. For example, you may want to check for errors after the execution of a particular step, or display a graph of objects to be imported after the step has run that populates the operation with objects from compound references and links.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `execute()`
  Executes the action(s) of the step, for example a "check in" step would cause the objects in the operation to each be checked in to the docbase.
  `String`
  `getDescription()`
  Returns the localized description of this step.
  `String`
  `getName()`
  Returns the name of the operation step.
  `IDfProperties`
  `getProperties()`
  Reserved for internal use.

- ## Method Details

  - ### getName

    String getName() throws DfException
    Returns the name of the operation step. Operation names are not localized.
    Returns:
      String operation name.
    Throws:
      `DfException`

  - ### execute

    boolean execute() throws DfException
    Executes the action(s) of the step, for example a "check in" step would cause the objects in the operation to each be checked in to the docbase. This method is called by the operation during its execute() method, or may be invoked separately. Callers should either call the operation execute() method, OR call the execute() method of each individual step, but should not do both.
    Returns:
      boolean true if the step execution succeeded for all objects with no errors.
    Throws:
      `DfException`

  - ### getProperties

    IDfProperties getProperties()
    Reserved for internal use.

  - ### getDescription

    String getDescription() throws DfException
    Returns the localized description of this step.
    Returns:
      description of the step.
    Throws:
      `DfException`